Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.olap
Class JRMondrianQueryExecuter

    java.lang.Object
      net.sf.jasperreports.engine.query.JRAbstractQueryExecuter
          net.sf.jasperreports.olap.JRMondrianQueryExecuter

All Implemented Interfaces:
  JRQueryExecuter

    public class JRMondrianQueryExecuter

extends JRAbstractQueryExecuter

Version:
  $Id: JRMondrianQueryExecuter.java 3035 2009-08-27 12:05:03Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter
`JRAbstractQueryExecuter.QueryParameter`

Field Summary

Fields inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter
`CLAUSE_POSITION_ID, clauseFunctions, dataset`

Constructor Summary
`JRMondrianQueryExecuter(JRDataset dataset, java.util.Map parametersMap)`

Method Summary
`boolean` | `cancelQuery()` Cancels the query if it's currently running.
`void` | `close()` Closes resources kept open during the data source iteration.
`JRDataSource` | `createDatasource()` Executes the query and creates a `JRDataSource` out of the result.
`protected java.lang.String` | `getParameterReplacement(java.lang.String parameterName)` Returns the replacement text for a query paramter.

Methods inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter
`addQueryMultiParameters, addQueryParameter, appendClauseChunk, appendParameterChunk, appendParameterClauseChunk, appendQueryChunk, appendTextChunk, applyClause, checkParameter, getCollectedParameterNames, getCollectedParameters, getParameter, getParameterValue, getParameterValue, getQueryString, getValueParameter, getValueParameter, parseQuery, registerClauseFunction, resolveFunction, unregisterClauseFunction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRMondrianQueryExecuter

    public JRMondrianQueryExecuter(JRDataset dataset,
                                   java.util.Map parametersMap)

Method Detail

### getParameterReplacement

    protected java.lang.String getParameterReplacement(java.lang.String parameterName)

  Description copied from class: `JRAbstractQueryExecuter`
  Returns the replacement text for a query paramter.

  Specified by:
    `getParameterReplacement` in class `JRAbstractQueryExecuter`
  Parameters:
    `parameterName` - the paramter name
  Returns:
    the replacement text
  See Also:
    `JRQueryChunk.TYPE_PARAMETER`

### createDatasource

    public JRDataSource createDatasource()
                                  throws JRException

  Description copied from interface: `JRQueryExecuter`
  Executes the query and creates a `JRDataSource` out of the result.

  Returns:
    a `JRDataSource` wrapping the query execution result.
  Throws:
    `JRException`

### close

    public void close()

  Description copied from interface: `JRQueryExecuter`
  Closes resources kept open during the data source iteration.

  This method is called after the report is filled or the dataset is iterated. If a resource is not needed after the data source has been created, it should be released at the end of `createDatasource`.

### cancelQuery

    public boolean cancelQuery()
                        throws JRException

  Description copied from interface: `JRQueryExecuter`
  Cancels the query if it's currently running.

  This method will be called from a different thread if the client decides to cancel the filling process.

  Returns:
    `true` if and only if the query was running and it has been canceled
  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com